### Enumeration

# Gio SocketListenerEvent

since: 2.46

#### Declaration

    enum Gio.SocketListenerEvent

#### Description [src]

Describes an event occurring on a `GSocketListener`. See the `GSocketListener::event` signal for more details.

Additional values may be added to this type in the future.

Available since: 2.46

#### Members

Name | Description
--- | ---
`G_SOCKET_LISTENER_BINDING` | The listener is about to bind a socket.
`G_SOCKET_LISTENER_BOUND` | The listener has bound a socket.
`G_SOCKET_LISTENER_LISTENING` | The listener is about to start listening on this socket.
`G_SOCKET_LISTENER_LISTENED` | The listener is now listening on this socket.